[package]
name = "detailed-compressor"
version = "0.1.0"
authors = ["LisaNeumaier <lneumaier@ethz.chsource>"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
name = "detailed_compressor"
crate-type = ["rlib", "cdylib"]

[dependencies]
quantity = "0.6"
num-dual = "0.6"
feos = {version="0.4.1", features=["pcsaft"]}
feos-core = "0.4.0"
num-traits = "0.2"
ndarray = { version = "0.15", features=["approx"] }
physical_constants = { version = "0.3.0" }
approx = "0.4"
numpy = { version = "0.18", optional = true }
thiserror = "1.0"

[dependencies.pyo3]
version = "0.18"
features = ["extension-module", "abi3", "abi3-py37"]
optional = true

[dev-dependencies]
approx = "0.4"

[features]
default = ["python"]
python = ["pyo3", "numpy", "feos/python"]